CVE-2000-1126
CVSS10.0
发布时间 :2001-01-09 00:00:00
修订时间 :2009-03-04 00:06:50
NMCOS    

[原文]Vulnerability in auto_parms and set_parms in HP-UX 11.00 and earlier allows remote attackers to execute arbitrary commands or cause a denial of service.


[CNNVD]HP-UX auto_parms任意命令执行漏洞(CNNVD-200101-114)

        HP-UX 11.00版本及之前版本中auto_parms和set_parms存在漏洞。远程攻击者可以执行任意命令或者导致服务拒绝。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:hp:hp-ux:10.24HP HP-UX 10.24
cpe:/o:hp:hp-ux:11.4HP HP-UX 11.4
cpe:/o:hp:hp-ux:11.00HP-UX 11.00
cpe:/o:hp:hp-ux:10.10HP HP-UX 10.10
cpe:/o:hp:hp-ux:10.20HP HP-UX 10.20
cpe:/o:hp:hp-ux:10.01HP HP-UX 10.01

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:5655Security vulnerability in auto_parms and set_parms
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1126
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1126
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200101-114
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1954
(VENDOR_ADVISORY)  BID  1954
http://www.securityfocus.com/advisories/2850
(VENDOR_ADVISORY)  HP  HPSBUX0011-130

- 漏洞信息

HP-UX auto_parms任意命令执行漏洞
危急 设计错误
2001-01-09 00:00:00 2009-03-04 00:00:00
本地  
        HP-UX 11.00版本及之前版本中auto_parms和set_parms存在漏洞。远程攻击者可以执行任意命令或者导致服务拒绝。

- 公告与补丁

        HP has released advisory HPSBUX0011-130 addressing this issue. Please see the referenced advisory for obtaining and applying fixes.
        HP HP-UX 10.0 1
        

  •         HP PHCO_21990
            

  •         

        HP HP-UX 10.10
        

  •         HP PHCO_21991
            

  •         

        HP HP-UX 10.20
        

  •         HP PHCO_21992
            

  •         

        HP HP-UX 11.0
        
        HP HP-UX 11.0 4
        

  •         HP PHCO_22186
            

  •         

- 漏洞信息

9614
HP-UX auto_parms Remote Command Execution
Remote / Network Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-11-13 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

HP-UX auto_parms Arbitrary Command Execution Vulnerability
Design Error 1954
No Yes
2000-11-13 12:00:00 2009-07-11 03:56:00
First published in HP Advisory HPSBUX0011-130 on November 13, 2000.

- 受影响的程序版本

HP HP-UX (VVOS) 10.24
HP HP-UX 11.0 4
HP HP-UX 11.0
HP HP-UX 10.20
HP HP-UX 10.10
HP HP-UX 10.0 1

- 漏洞讨论

HP-UX ships with a script called auto_parms that is used when the system is starting up. If the file "install.vars" exists in /tmp when the system is booted up, auto_parms executes commands within this file as root. It is possible for a local user to create a malicious install.vars that can cause arbitrary commands to be executed when the system is rebooted. This can be used to gain root access on the victim host.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

HP has released advisory HPSBUX0011-130 addressing this issue. Please see the referenced advisory for obtaining and applying fixes.


HP HP-UX 10.0 1
  • HP PHCO_21990


HP HP-UX 10.10
  • HP PHCO_21991


HP HP-UX 10.20
  • HP PHCO_21992


HP HP-UX 11.0

HP HP-UX 11.0 4
  • HP PHCO_22186

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站